> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote webhook events

> Quote events

These webhook events are fired when quotes are changed:

* `quote.approved`
* `quote.rejected`
* `quote.sent` - when quote version has been sent
* `quote.ordered` - when quote order has been placed

## Quote.Approved

```json theme={null}
POST /webhook HTTP/1.1
Content-Type: application/json; charset=utf-8
User-Agent: NetServer-Webhook/8.8.6684.1719
X-Superoffice-Event: quote.approved
X-Superoffice-Eventid: 1fc5752a-6de8-412d-847a-12d5529a0ec6
X-Superoffice-Signature: X1FmmRIXuzH8o0MDanva1lnuNZXoix6M0US1S64s+e8=

{
  "EventId": "1fc5752a-6de8-412d-847a-12d5529a0ec6",
  "Timestamp": "2018-04-24T08:13:02.8352175Z",
  "Changes": [  ],
  "Event": "quote.approved",
  "PrimaryKey": 527331,
  "Entity": "quote",
  "ContextIdentifier": "Default",
  "ChangedByAssociateId": 37201,
  "WebhookName": "Name you provided"
}
```

## Quote.Rejected

```json theme={null}
{
  "EventId": "1fc5752a-6de8-412d-847a-12d5529a0ec6",
  "Timestamp": "2018-04-24T08:13:02.8352175Z",
  "Changes": [  ],
  "Event": "quote.rejected",
  "PrimaryKey": 527331,
  "Entity": "quote",
  "ContextIdentifier": "Default",
  "ChangedByAssociateId": 37201,
  "WebhookName": "Name you provided"
}
```

## Quote.Sent

```json theme={null}
{
  "EventId": "1fc5752a-6de8-412d-847a-12d5529a0ec6",
  "Timestamp": "2018-04-24T08:13:02.8352175Z",
  "Changes": [  ],
  "Event": "quote.sent",
  "PrimaryKey": 527331,
  "Entity": "quote",
  "ContextIdentifier": "Default",
  "ChangedByAssociateId": 37201,
  "WebhookName": "Name you provided"
}
```

## Quote.Ordered

```json theme={null}
{
  "EventId": "1fc5752a-6de8-412d-847a-12d5529a0ec6",
  "Timestamp": "2018-04-24T08:13:02.8352175Z",
  "Changes": [  ],
  "Event": "quote.ordered",
  "PrimaryKey": 527331,
  "Entity": "quote",
  "ContextIdentifier": "Default",
  "ChangedByAssociateId": 37201,
  "WebhookName": "Name you provided"
}
```


## Related topics

- [Sale webhook events](/en/automation/webhook/reference/sale-events.md)
- [Contact webhook events](/en/automation/webhook/reference/contact-events.md)
- [Ticket webhook events](/en/automation/webhook/reference/ticket-events.md)
- [Person webhook events](/en/automation/webhook/reference/person-events.md)
- [Webhook State change events](/en/automation/webhook/reference/state-events.md)
- [Sale stakeholder webhook events](/en/automation/webhook/reference/sale-stakeholder-events.md)
